Camel 3.2.0 install

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Camel 3.2.0 install

cvdenzen
Hello,
I am using Camel 3.1.0, and I want to upgrade to Camel 3.2.0.
To test it, I tried a clean install in Karaf on a Raspberry Pi 2 (where
Camel 3.1.0 was running successfully).

Installing Camel 3.2.0 in Karaf 4.2.8 gives me this (fatal) error:
"Error downloading mvn:org.apache.camel/camel-commands-core/3.2.0".

Logging: see attachment.


Thanks,
Carl van Denzen

scratch.txt (12K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Camel 3.2.0 install

Andrea Cosentino-3
Hello it's a known issue. It will be fixed in 3.3.0. Please add

<bundleReplacements>
<bundle mode="maven"
originalUri="mvn:org.apache.camel/camel-commands-core/3.2.0"
replacement="mvn:org.apache.camel.karaf/camel-commands-core/3.2.0"/>
</bundleReplacements>

in etc/org.apache.karaf.features.xml

Il giorno ven 10 apr 2020 alle ore 17:38 Carl van Denzen <[hidden email]>
ha scritto:

> Hello,
> I am using Camel 3.1.0, and I want to upgrade to Camel 3.2.0.
> To test it, I tried a clean install in Karaf on a Raspberry Pi 2 (where
> Camel 3.1.0 was running successfully).
>
> Installing Camel 3.2.0 in Karaf 4.2.8 gives me this (fatal) error:
> "Error downloading mvn:org.apache.camel/camel-commands-core/3.2.0".
>
> Logging: see attachment.
>
>
> Thanks,
> Carl van Denzen
>
Reply | Threaded
Open this post in threaded view
|

Re: Camel 3.2.0 install

cvdenzen
Hi Andrea,

I’m sorry, I didn’t read the mailing list very good before posting my problem. I’m quite new to the mailing list. Your solution worked for me. Thank you!

Carl van Denzen

> Op 10 apr. 2020 om 17:42 heeft Andrea Cosentino <[hidden email]> het volgende geschreven:
>
> Hello it's a known issue. It will be fixed in 3.3.0. Please add
>
> <bundleReplacements>
> <bundle mode="maven"
> originalUri="mvn:org.apache.camel/camel-commands-core/3.2.0"
> replacement="mvn:org.apache.camel.karaf/camel-commands-core/3.2.0"/>
> </bundleReplacements>
>
> in etc/org.apache.karaf.features.xml
>
>> Il giorno ven 10 apr 2020 alle ore 17:38 Carl van Denzen <[hidden email]>
>> ha scritto:
>>
>> Hello,
>> I am using Camel 3.1.0, and I want to upgrade to Camel 3.2.0.
>> To test it, I tried a clean install in Karaf on a Raspberry Pi 2 (where
>> Camel 3.1.0 was running successfully).
>>
>> Installing Camel 3.2.0 in Karaf 4.2.8 gives me this (fatal) error:
>> "Error downloading mvn:org.apache.camel/camel-commands-core/3.2.0".
>>
>> Logging: see attachment.
>>
>>
>> Thanks,
>> Carl van Denzen
>>
Reply | Threaded
Open this post in threaded view
|

Re: Camel 3.2.0 install

Andrea Cosentino-3
It's our fault in reality, we need to add a note to the migration guide :-)

Thanks for spotting this again :-)

I will add it to the docs!

Il ven 10 apr 2020, 21:06 Carl van Denzen <[hidden email]> ha scritto:

> Hi Andrea,
>
> I’m sorry, I didn’t read the mailing list very good before posting my
> problem. I’m quite new to the mailing list. Your solution worked for me.
> Thank you!
>
> Carl van Denzen
>
> > Op 10 apr. 2020 om 17:42 heeft Andrea Cosentino <[hidden email]> het
> volgende geschreven:
> >
> > Hello it's a known issue. It will be fixed in 3.3.0. Please add
> >
> > <bundleReplacements>
> > <bundle mode="maven"
> > originalUri="mvn:org.apache.camel/camel-commands-core/3.2.0"
> > replacement="mvn:org.apache.camel.karaf/camel-commands-core/3.2.0"/>
> > </bundleReplacements>
> >
> > in etc/org.apache.karaf.features.xml
> >
> >> Il giorno ven 10 apr 2020 alle ore 17:38 Carl van Denzen <
> [hidden email]>
> >> ha scritto:
> >>
> >> Hello,
> >> I am using Camel 3.1.0, and I want to upgrade to Camel 3.2.0.
> >> To test it, I tried a clean install in Karaf on a Raspberry Pi 2 (where
> >> Camel 3.1.0 was running successfully).
> >>
> >> Installing Camel 3.2.0 in Karaf 4.2.8 gives me this (fatal) error:
> >> "Error downloading mvn:org.apache.camel/camel-commands-core/3.2.0".
> >>
> >> Logging: see attachment.
> >>
> >>
> >> Thanks,
> >> Carl van Denzen
> >>
>
Reply | Threaded
Open this post in threaded view
|

Re: Camel 3.2.0 install

jbonofre
+1 to update the doc.

By the way, I’m volunteer to cut camel-karat 3.2.1 with this fix (it could be helpful for our users IMHO). Thoughts ?

We just had the same question on the Karaf user mailing list.

Regards
JB

> Le 10 avr. 2020 à 21:08, Andrea Cosentino <[hidden email]> a écrit :
>
> It's our fault in reality, we need to add a note to the migration guide :-)
>
> Thanks for spotting this again :-)
>
> I will add it to the docs!
>
> Il ven 10 apr 2020, 21:06 Carl van Denzen <[hidden email]> ha scritto:
>
>> Hi Andrea,
>>
>> I’m sorry, I didn’t read the mailing list very good before posting my
>> problem. I’m quite new to the mailing list. Your solution worked for me.
>> Thank you!
>>
>> Carl van Denzen
>>
>>> Op 10 apr. 2020 om 17:42 heeft Andrea Cosentino <[hidden email]> het
>> volgende geschreven:
>>>
>>> Hello it's a known issue. It will be fixed in 3.3.0. Please add
>>>
>>> <bundleReplacements>
>>> <bundle mode="maven"
>>> originalUri="mvn:org.apache.camel/camel-commands-core/3.2.0"
>>> replacement="mvn:org.apache.camel.karaf/camel-commands-core/3.2.0"/>
>>> </bundleReplacements>
>>>
>>> in etc/org.apache.karaf.features.xml
>>>
>>>> Il giorno ven 10 apr 2020 alle ore 17:38 Carl van Denzen <
>> [hidden email]>
>>>> ha scritto:
>>>>
>>>> Hello,
>>>> I am using Camel 3.1.0, and I want to upgrade to Camel 3.2.0.
>>>> To test it, I tried a clean install in Karaf on a Raspberry Pi 2 (where
>>>> Camel 3.1.0 was running successfully).
>>>>
>>>> Installing Camel 3.2.0 in Karaf 4.2.8 gives me this (fatal) error:
>>>> "Error downloading mvn:org.apache.camel/camel-commands-core/3.2.0".
>>>>
>>>> Logging: see attachment.
>>>>
>>>>
>>>> Thanks,
>>>> Carl van Denzen
>>>>
>>

Reply | Threaded
Open this post in threaded view
|

Re: Camel 3.2.0 install

Andrea Cosentino-3
We don't plan to do minor release for 3.2.x, we want to cut a 3.3.0 with
new goodies and fixes soon, before an LTS 3.4.0.

It should be soon. There some work in progress.

Il sab 11 apr 2020, 07:19 Jean-Baptiste Onofre <[hidden email]> ha scritto:

> +1 to update the doc.
>
> By the way, I’m volunteer to cut camel-karat 3.2.1 with this fix (it could
> be helpful for our users IMHO). Thoughts ?
>
> We just had the same question on the Karaf user mailing list.
>
> Regards
> JB
>
> > Le 10 avr. 2020 à 21:08, Andrea Cosentino <[hidden email]> a écrit :
> >
> > It's our fault in reality, we need to add a note to the migration guide
> :-)
> >
> > Thanks for spotting this again :-)
> >
> > I will add it to the docs!
> >
> > Il ven 10 apr 2020, 21:06 Carl van Denzen <[hidden email]> ha
> scritto:
> >
> >> Hi Andrea,
> >>
> >> I’m sorry, I didn’t read the mailing list very good before posting my
> >> problem. I’m quite new to the mailing list. Your solution worked for me.
> >> Thank you!
> >>
> >> Carl van Denzen
> >>
> >>> Op 10 apr. 2020 om 17:42 heeft Andrea Cosentino <[hidden email]>
> het
> >> volgende geschreven:
> >>>
> >>> Hello it's a known issue. It will be fixed in 3.3.0. Please add
> >>>
> >>> <bundleReplacements>
> >>> <bundle mode="maven"
> >>> originalUri="mvn:org.apache.camel/camel-commands-core/3.2.0"
> >>> replacement="mvn:org.apache.camel.karaf/camel-commands-core/3.2.0"/>
> >>> </bundleReplacements>
> >>>
> >>> in etc/org.apache.karaf.features.xml
> >>>
> >>>> Il giorno ven 10 apr 2020 alle ore 17:38 Carl van Denzen <
> >> [hidden email]>
> >>>> ha scritto:
> >>>>
> >>>> Hello,
> >>>> I am using Camel 3.1.0, and I want to upgrade to Camel 3.2.0.
> >>>> To test it, I tried a clean install in Karaf on a Raspberry Pi 2
> (where
> >>>> Camel 3.1.0 was running successfully).
> >>>>
> >>>> Installing Camel 3.2.0 in Karaf 4.2.8 gives me this (fatal) error:
> >>>> "Error downloading mvn:org.apache.camel/camel-commands-core/3.2.0".
> >>>>
> >>>> Logging: see attachment.
> >>>>
> >>>>
> >>>> Thanks,
> >>>> Carl van Denzen
> >>>>
> >>
>
>
Reply | Threaded
Open this post in threaded view
|

Re: Camel 3.2.0 install

jbonofre
OK, than, I will work on 3.3.0 preparation.

Thanks
Regards
JB

> Le 11 avr. 2020 à 08:17, Andrea Cosentino <[hidden email]> a écrit :
>
> We don't plan to do minor release for 3.2.x, we want to cut a 3.3.0 with
> new goodies and fixes soon, before an LTS 3.4.0.
>
> It should be soon. There some work in progress.
>
> Il sab 11 apr 2020, 07:19 Jean-Baptiste Onofre <[hidden email]> ha scritto:
>
>> +1 to update the doc.
>>
>> By the way, I’m volunteer to cut camel-karat 3.2.1 with this fix (it could
>> be helpful for our users IMHO). Thoughts ?
>>
>> We just had the same question on the Karaf user mailing list.
>>
>> Regards
>> JB
>>
>>> Le 10 avr. 2020 à 21:08, Andrea Cosentino <[hidden email]> a écrit :
>>>
>>> It's our fault in reality, we need to add a note to the migration guide
>> :-)
>>>
>>> Thanks for spotting this again :-)
>>>
>>> I will add it to the docs!
>>>
>>> Il ven 10 apr 2020, 21:06 Carl van Denzen <[hidden email]> ha
>> scritto:
>>>
>>>> Hi Andrea,
>>>>
>>>> I’m sorry, I didn’t read the mailing list very good before posting my
>>>> problem. I’m quite new to the mailing list. Your solution worked for me.
>>>> Thank you!
>>>>
>>>> Carl van Denzen
>>>>
>>>>> Op 10 apr. 2020 om 17:42 heeft Andrea Cosentino <[hidden email]>
>> het
>>>> volgende geschreven:
>>>>>
>>>>> Hello it's a known issue. It will be fixed in 3.3.0. Please add
>>>>>
>>>>> <bundleReplacements>
>>>>> <bundle mode="maven"
>>>>> originalUri="mvn:org.apache.camel/camel-commands-core/3.2.0"
>>>>> replacement="mvn:org.apache.camel.karaf/camel-commands-core/3.2.0"/>
>>>>> </bundleReplacements>
>>>>>
>>>>> in etc/org.apache.karaf.features.xml
>>>>>
>>>>>> Il giorno ven 10 apr 2020 alle ore 17:38 Carl van Denzen <
>>>> [hidden email]>
>>>>>> ha scritto:
>>>>>>
>>>>>> Hello,
>>>>>> I am using Camel 3.1.0, and I want to upgrade to Camel 3.2.0.
>>>>>> To test it, I tried a clean install in Karaf on a Raspberry Pi 2
>> (where
>>>>>> Camel 3.1.0 was running successfully).
>>>>>>
>>>>>> Installing Camel 3.2.0 in Karaf 4.2.8 gives me this (fatal) error:
>>>>>> "Error downloading mvn:org.apache.camel/camel-commands-core/3.2.0".
>>>>>>
>>>>>> Logging: see attachment.
>>>>>>
>>>>>>
>>>>>> Thanks,
>>>>>> Carl van Denzen
>>>>>>
>>>>
>>
>>